%define qtdir %_libdir/qt3

Name: qvideogen
Version: 1.3
Release: alt1.1

Group: System/Configuration/Hardware
Summary: X Modeline generator (Qt port of KVideoGen)

Source: %name-%version.tar.bz2
Url: http://altlinux.org
License: GPL

# Automatically added by buildreq on Thu Oct 02 2003 (-bi)
#BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ libGLwrapper libaudio libexpat libjpeg liblcms libmng libqt3-devel libstdc++-devel

BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++
BuildRequires: libaudio libexpat libjpeg liblcms libmng
BuildRequires: libqt3-devel libstdc++-devel

%description
X Modeline generator.
This is Qt port of KVideoGen.

%prep
%setup -q

%build
%add_optflags -I%qtdir/include -DDATADIR='\"%_datadir/%name\"' -DDOCDIR='\"%_docdir/%name-%version\"'
export PATH=%qtdir/bin:$PATH QTDIR=%qtdir
qmake
%make_build CXXFLAGS="%optflags"

%install
mkdir -p %buildroot/{%_bindir,%_docdir,%_datadir/%name,%_miconsdir,%_liconsdir,%_menudir}

install -m 755 bin/%name %buildroot/%_bindir
install -m 644 data/* %buildroot/%_datadir/%name

cat << EOF > %buildroot/%_menudir/%name
?package(%name): needs="x11" \
 section="Configuration/Hardware" \
 title="QVideoGen" \
 longtitle="X Modeline generator" \
 command="%name" \
 icon="%name.png"
EOF

install -m 644 data/%name.16.png %buildroot/%_miconsdir/%name.png
install -m 644 data/%name.32.png %buildroot/%_iconsdir/%name.png
install -m 644 data/%name.48.png %buildroot/%_liconsdir/%name.png

%post
%update_menus
%postun
%clean_menus

%files
%doc doc/*.html
%_bindir/*
%_datadir/%name
%_menudir/*
%_miconsdir/%name.png
%_iconsdir/%name.png
%_liconsdir/%name.png

%changelog
* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.3-alt1.1
- Rebuilt with libstdc++.so.6.

* Thu Oct 02 2003 Sergey V Turchin <zerg at altlinux dot org> 1.3-alt1
- initial spec
